Results 1 to 9 of 9

Thread: Artrage 5 install problem

  1. #1
    Join Date
    Mar 2024
    Posts
    3

    Artrage 5 install problem

    Ive been running Artrage 5 for many years on a 2017 MacBook Air. Just recently I bought a 2024 MacBook air m3. I downloaded Artrage 5 from the members area but when I tried to install it I get an error message "The disk image couldn't be opened. There are no mountable file systems in the disk image". I was informed by Artrage tech support that the new m3 MacBook does not support Artrage 5 and I need to upgrade to version 6. However I have managed to both download and install Artrage lite and Artrage 5 demo with no problems, so surely the full version of Artrage 5 should work? This would lead me to believe the download in the members area is corrupted. Would it be possible for anyone from Ambient Design to check the download for ver 5. Really don't want to have to spend extra to upgrade to ver 6 when I'm happy with my purchase of ver 5. Many thanks, and if anyone has a solution please feel free to chip in.

  2. #2
    Join Date
    Nov 2011
    Posts
    2,231
    Hello sando and welcome to the ArtRage forums
    Well, I would hesitate to contradict ARs developers if they say AR6 is the minimum requirement to run on an M3 based Mac.
    Where did the copies of AR Lite and AR5 Demo that you say you have managed to successfully install come from?
    The only current publicly downloadable Lite and Demo versions of AR that Im aware of are both versions of AR6.
    But if you really have managed to install any version of AR5 and got it to run, I would suggest you contact Tech Support again with the details, and possibly send them copies of the installers you have successfully used.
    Maker Of Replica Macoys

    Techie Stuff:
    ArtRage Vitae 7.1.4 ~ 15" Macbook Pro
    ~ macOS 10.15.7 ~ 4 Core i7 3.1GHz CPU ~ 16GB RAM ~ Wacom Intuos4 M
    My Animal Paintings In The Forum Gallery
    On Instagram

  3. #3
    Join Date
    Oct 2016
    Posts
    299
    if you still have artrage 5 installed on your old macbook, you can try this route:

    https://support.apple.com/en-us/102613

    otherwise, if you have questions for the ambient design team, send them straight to the support form - the forum is mostly closely monitored by developers following the release of a new version when the bug reports hit the board; there won't be any real technical support for a version that came out three full releases ago malfunctioning on a newest OS with a cpu chip that didn't exist at the time of its release.

  4. #4
    Join Date
    Mar 2024
    Posts
    3
    Many thanks for the replies.

    Markw. I did successfully download and install ArtRage lite from the members area. It is ver 5.0.9

    nekomata. Unfortunately I can't migrate from my old MacBook as it is in many bits in the dustbin / trashcan. I did however borrow my wife's MacBook which is the same model as my old one that ran ver 5. However when I tried to download and install ver 5 from the members area I still got the same error message. The ver 5 download is definitely corrupted.

    Just to clarify, All I am asking is for the ar team to replace the corrupted ver 5 in the members area with a working version. I have contacted support with this request.

    Once again many thanks for trying to help me.

  5. #5
    Join Date
    Oct 2016
    Posts
    299
    Quote Originally Posted by sando View Post
    nekomata. Unfortunately I can't migrate from my old MacBook as it is in many bits in the dustbin / trashcan. I did however borrow my wife's MacBook which is the same model as my old one that ran ver 5. However when I tried to download and install ver 5 from the members area I still got the same error message. The ver 5 download is definitely corrupted.

    Just to clarify, All I am asking is for the ar team to replace the corrupted ver 5 in the members area with a working version. I have contacted support with this request.
    I'm not sure if it is too obvious to suggest trying downloading it with a different web browser - the download might be fine as it is, but sometimes things happen, but in case you won't get a satisfactory response from support, last year artrage vitae had an easter sale between middle and the end of april, dropping price down to $40.

    if they throw a similar sale this year (they typically do), that would be your cheapest opportunity to upgrade, and there will be a patch for AR vitae coming soon, providing compatibility with mac os sonoma and most recent apple hardware.

  6. #6
    Join Date
    Mar 2024
    Posts
    3

    Finally

    Just to let anyone who is curious know the outcome.

    I contacted customer support, but was once again told ver 5 will not run on Mac m3 and the download in the members area is valid.

    I accept that I can not use ver 5 on a m3. However I do not accept the ver 5 download is fully working. I managed to borrow a 2017 MacBook running os 12 Monterey. This should be fully compatible with ver 5. After downloading using both chrome and safari I still get the corrupted file error message. In the interim I decided to download Krita. What a pleasant surprise, it's really very good. It's early days yet but I think I shall be using it quite a lot.

    Once again many thanks to all who tried to help me

  7. #7
    Join Date
    Jan 2020
    Location
    Aotearoa/New Zealand
    Posts
    355
    FWIW, I have downloaded version 5 onto my iMac M1 and got exactly the same error message as Sando. So something ain't right.

    Brett
    Kia whakatōmuri te haere whakamua (I walk backwards into the future with my eyes fixed on my past).

    Tech stuff: 24" iMac M1: Wacom Intuos Pro L: iPad Pro 12.9"

  8. #8
    Join Date
    Nov 2011
    Posts
    2,231
    I think the problem here is not with the Installer being corrupted but rather with how macOS, after Catalina, interoperates the installer.
    I can download AR5's installer, open it and install AR5 onto my 2017 MacBook Pro which is running Catalina as my main work OS.
    But if I boot into my Ventura drive on the same MackBook Pro and try the same thing again, I get the warning message about no “mountable file systems” when opening the installer.
    I’m not too surprised by this myself as AR5 and it’s installer were written long before Big Sur and it’s descendants came along and the internal architecture from Big Sur onwards is very different now to how it was back in the day when AR5’s installer was written.
    I can say though that my version of AR5 that was migrated over to my Ventura drive dose seem to run, but how stable it would be to work with is something I've not explored in any depth.
    So could the installer for AR5 be rewritten to work with newer macOS’s? Possibly… but I don’t know.
    But I really doubt if it would be considered a cost effective use of time and resources to do so for such an old version of AR. Especially if the app itself were not even able to run on the M series of chips, even if it could be installed.
    Last edited by markw; 2 Weeks Ago at 01:25 AM. Reason: Clarity & Typos!
    Maker Of Replica Macoys

    Techie Stuff:
    ArtRage Vitae 7.1.4 ~ 15" Macbook Pro
    ~ macOS 10.15.7 ~ 4 Core i7 3.1GHz CPU ~ 16GB RAM ~ Wacom Intuos4 M
    My Animal Paintings In The Forum Gallery
    On Instagram

  9. #9
    Join Date
    Oct 2016
    Posts
    299
    Quote Originally Posted by Perendale View Post
    So something ain't right.
    mac software obsolescence rate is much faster than that of windows apps; it's even worse with things that never get permanent license distribution i.e. apple games, where once an app gets discontinued you can't even launch it anymore.

    I imagine running a krita build from 2017 on a recent mac laptop wouldn't be much different from trying to launch a depreciated artrage release from the same year, but anyway I'm glad op figured out which app works best in his case.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •